Debian Bug report logs - #680157
unblock: gcpegg/5.1-13

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Bdale Garbee <bdale@gag.com>

Date: Wed, 4 Jul 2012 05:51:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680157; Package release.debian.org. (Wed, 04 Jul 2012 05:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Jul 2012 05:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: gcpegg/5.1-13
Date: Tue, 03 Jul 2012 23:48:52 -0600
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please unblock package gcpegg.  This version fixes RC bug #680014 which
affects all 64-bit architectures.  It also fixes an unreported path bug 
in the init.d script that would affect all users.  

This is *not* an absolutely minimal diff to fix those bugs from -12, but
the package is better in all respects, -13 has received significant testing,
and it's a "leaf package" that nothing else depends on... so I really think
5.1-13 is the version that should be in wheezy.

Thanks!

Bdale

unblock gcpegg/5.1-13

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.4.4-64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680157; Package release.debian.org. (Wed, 04 Jul 2012 16:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Jul 2012 16:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 680157@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bdale Garbee <bdale@gag.com>, 680157@bugs.debian.org
Subject: Re: Bug#680157: unblock: gcpegg/5.1-13
Date: Wed, 4 Jul 2012 18:41:17 +0200
[Message part 1 (text/plain, inline)]
On Tue, Jul  3, 2012 at 23:48:52 -0600, Bdale Garbee wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: unblock
> 
> Please unblock package gcpegg.  This version fixes RC bug #680014 which
> affects all 64-bit architectures.  It also fixes an unreported path bug 
> in the init.d script that would affect all users.  
> 
> This is *not* an absolutely minimal diff to fix those bugs from -12, but
> the package is better in all respects, -13 has received significant testing,
> and it's a "leaf package" that nothing else depends on... so I really think
> 5.1-13 is the version that should be in wheezy.
> 

> diff -u gcpegg-5.1/reg_orion.c gcpegg-5.1/reg_orion.c
> --- gcpegg-5.1/reg_orion.c
> +++ gcpegg-5.1/reg_orion.c
> @@ -97,7 +97,7 @@
>    sprintf(ttydev, "/dev/term/%c", 'a' + (opts->port - 1));
>  #endif
>  #else
> -  sprintf(ttydev, "/dev/ttyS%d", opts->port);
> +  sprintf(ttydev, "/dev/REG", opts->port);
>  #endif
>  
>    switch(opts->baud) {

shouldn't the opts->port argument have been dropped?  same in
reg_pear.c, hw_pear.c.

> -
> -           strftime(udate, sizeof udate, timeFormat, gmtime((time_t *) &now));
> -           strftime(ustime, sizeof ustime, timeFormat, gmtime((time_t *) &upsince));
> +      
> +      now_val = now;
> +      strftime(udate, sizeof udate, timeFormat, gmtime(&now_val));
> +      time_t upsince_val = upsince;
> +      strftime(ustime, sizeof ustime, timeFormat, gmtime(&upsince_val));

funky indent... (and in a bunch of other places)

The hardcoding of vt 8 in the init script feels wrong as well, but I
guess that's not a regression.  (It's going to clash with a display
manager that starts before it or in parallel.)

Looks reasonable otherwise.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680157; Package release.debian.org. (Thu, 05 Jul 2012 04:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 05 Jul 2012 04:24:05 GMT) Full text and rfc822 format available.

Message #15 received at 680157@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Julien Cristau <jcristau@debian.org>, 680157@bugs.debian.org
Subject: Re: Bug#680157: unblock: gcpegg/5.1-13
Date: Wed, 04 Jul 2012 22:22:03 -0600
[Message part 1 (text/plain, inline)]
Julien Cristau <jcristau@debian.org> writes:

> shouldn't the opts->port argument have been dropped?  same in
> reg_pear.c, hw_pear.c.

Good point.  But, while it's no long used, it shouldn't hurt anything,
and in testing it all works fine... so I'm inclined to leave it alone
for now.

> funky indent... (and in a bunch of other places)

Yes.

> The hardcoding of vt 8 in the init script feels wrong as well, but I
> guess that's not a regression.  (It's going to clash with a display
> manager that starts before it or in parallel.)

Indeed.  The package has been set up this way for years.  This code is
only likely to be installed on a server with a stable network
configuration that's hosting one of the special hardware random number
generators used by the project, and they don't tend to have displays, so
in practice this isn't much of a problem.

There's an option to build the program without the UI enabled, but I've
never tried it, and that feels like a bigger change more suited for the
next stable release cycle.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 05 Jul 2012 09:36:04 GMT) Full text and rfc822 format available.

Notification sent to Bdale Garbee <bdale@gag.com>:
Bug acknowledged by developer. (Thu, 05 Jul 2012 09:36:08 GMT) Full text and rfc822 format available.

Message #20 received at 680157-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bdale Garbee <bdale@gag.com>, 680157-done@bugs.debian.org
Subject: Re: Bug#680157: unblock: gcpegg/5.1-13
Date: Thu, 5 Jul 2012 11:33:10 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jul  4, 2012 at 22:22:03 -0600, Bdale Garbee wrote:

> Julien Cristau <jcristau@debian.org> writes:
> 
> > shouldn't the opts->port argument have been dropped?  same in
> > reg_pear.c, hw_pear.c.
> 
> Good point.  But, while it's no long used, it shouldn't hurt anything,
> and in testing it all works fine... so I'm inclined to leave it alone
> for now.
> 
> > funky indent... (and in a bunch of other places)
> 
> Yes.
> 
> > The hardcoding of vt 8 in the init script feels wrong as well, but I
> > guess that's not a regression.  (It's going to clash with a display
> > manager that starts before it or in parallel.)
> 
> Indeed.  The package has been set up this way for years.  This code is
> only likely to be installed on a server with a stable network
> configuration that's hosting one of the special hardware random number
> generators used by the project, and they don't tend to have displays, so
> in practice this isn't much of a problem.
> 
> There's an option to build the program without the UI enabled, but I've
> never tried it, and that feels like a bigger change more suited for the
> next stable release cycle.
> 
Unblocked.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Message #21 received at 680157-done@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Julien Cristau <jcristau@debian.org>, 680157-done@bugs.debian.org
Subject: Re: Bug#680157: unblock: gcpegg/5.1-13
Date: Thu, 05 Jul 2012 11:48:25 -0600
[Message part 1 (text/plain, inline)]
Julien Cristau <jcristau@debian.org> writes:

> Unblocked.

Thank you!

Bdale
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Aug 2012 07:33:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:03:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.